net.sourceforge.pmd.util.viewer.model

## Class ViewerModelEvent

- java.lang.Object
- - net.sourceforge.pmd.util.viewer.model.ViewerModelEvent

    public class ViewerModelEvent
    extends Object

The event which will be sent every time the model changes

Note: the instances will be immutable

Version:
  $Id$
Author:
  Boris Gruschko ( boris at gruschko.org )

### Field Summary

Fields
`static int` `CODE_RECOMPILED` reason in the case of code recompilation
`static int` `NODE_SELECTED` reason in the case of node selection
`static int` `PATH_EXPRESSION_APPENDED` reason in the case of path extension
`static int` `PATH_EXPRESSION_EVALUATED` reason in the case of path expression evaluation

### Constructor Summary

Constructors
Constructor and Description
`ViewerModelEvent(Object source, int reason)` Creates an event
`ViewerModelEvent(Object source, int reason, Object parameter)` Creates an event

### Method Summary

Methods
`Object` `getParameter()`
`int` `getReason()`
`Object` `getSource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CODE_RECOMPILED

    public static final int CODE_RECOMPILED

reason in the case of code recompilation

See Also:
  Constant Field Values

#### NODE_SELECTED

    public static final int NODE_SELECTED

reason in the case of node selection

See Also:
  Constant Field Values

#### PATH_EXPRESSION_APPENDED

    public static final int PATH_EXPRESSION_APPENDED

reason in the case of path extension

See Also:
  Constant Field Values

#### PATH_EXPRESSION_EVALUATED

    public static final int PATH_EXPRESSION_EVALUATED

reason in the case of path expression evaluation

See Also:
  Constant Field Values

### Constructor Detail

#### ViewerModelEvent

    public ViewerModelEvent(Object source,
                    int reason)

Creates an event

Parameters:
  `source` - event's source
  `reason` - event's reason

#### ViewerModelEvent

    public ViewerModelEvent(Object source,
                    int reason,
                    Object parameter)

Creates an event

Parameters:
  `source` - event's source
  `reason` - event's reason
  `parameter` - parameter object

### Method Detail

#### getReason

    public int getReason()

#### getSource

    public Object getSource()

#### getParameter

    public Object getParameter()